Rapid7 Vulnerability & Exploit Database

MFSA2020-37 Firefox: Security Vulnerabilities fixed in Firefox ESR 68.12 (CVE-2020-15663)

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

MFSA2020-37 Firefox: Security Vulnerabilities fixed in Firefox ESR 68.12 (CVE-2020-15663)

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
08/25/2020
Created
08/27/2020
Added
08/26/2020
Modified
10/15/2020

Description

If Firefox is installed to a user-writable directory, the Mozilla Maintenance Service would execute updater.exe from the install location with system privileges. Although the Mozilla Maintenance Service does ensure that updater.exe is signed by Mozilla, the version could have been rolled back to a previous version which would have allowed exploitation of an older bug and arbitrary code execution with System Privileges. *Note: This issue only affected Windows operating systems. Other operating systems are unaffected.*. This vulnerability affects Firefox < 80, Thunderbird < 78.2, Thunderbird < 68.12, Firefox ESR < 68.12, and Firefox ESR < 78.2.

Solution(s)

  • mozilla-firefox-esr-upgrade-68_12

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;